--
-- FillLevel Warning for LS 19
--
-- # Author:  	LSM/Sachsenfarmer
-- # date: 		25.11.19
--

fillLevelWarning = {}

ClaasBeepSound = createSample("ClaasBeep")
local file = g_currentModDirectory.."Claas_beep.wav"
loadSample(ClaasBeepSound, file, false)

function fillLevelWarning:playSound()
	playSample(ClaasBeepSound ,1 ,1 ,1 ,0 ,0)
end;

function fillLevelWarning.prerequisitesPresent(specializations)
  return true
end

function fillLevelWarning.registerEventListeners(vehicleType)
  SpecializationUtil.registerEventListener(vehicleType, "onUpdate", fillLevelWarning)
end

function fillLevelWarning:onLoad(savegame)
	self.RULaktive = false
	self.BeepAktive1 = false
	self.attacheble = hasXMLProperty(self.xmlFile, "vehicle.attachable")
end;

function fillLevelWarning:onUpdate(dt)
	if self:getIsActive() and not self.attacheble then
		local fillLevel = self:getFillUnitFillLevelPercentage(self:getCurrentDischargeNode().fillUnitIndex)  
		if fillLevel > 0 then
			if not self.RULaktive then
				if fillLevel >= 0.8 then
					self:setBeaconLightsVisibility(true)
					if self:getIsEntered() then
						fillLevelWarning:playSound()
					end
					self.RULaktive = true
				end
			else
				if fillLevel < 0.8 then
					self:setBeaconLightsVisibility(false)
					self.RULaktive = false
				end
			end
			if not	self.BeepAktive1 then
				if fillLevel >= 0.5 then
					if self:getIsEntered() then
						fillLevelWarning:playSound()
					end
					self.BeepAktive1 = true
				end
			else
				if fillLevel < 0.5 then
					self.BeepAktive1 = false
				end
			end
		end
	end
end

